const util = require('../../../utils/util');
Page({

  /**
   * 页面的初始数据
   */
  data: {
    subImg: 'https://img.bbztx.com/miniProgram/challengeFamily/applyInvoicing/success.png',
    qrCodeImg: "https://img.bbztx.com/miniProgram/challengeFamily/fingerprint.png",
    rightImg: 'https://img.bbztx.com/miniProgram/challengeFamily/orderIcon4.png',
    qrCodeImg2: 'https://img.bbztx.com/miniProgram/challengeFamily/QRcode.png'
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },
  // 跳转到开票记录页面
  goRecord() {
    util.ajax({
      func: "articleInvoice/getArticleInvoiceList",
      // data,
      load:false
    }, ({
      data,
      code
    }) => {
      if (code == 0) {
        console.log(data);
        let detail = JSON.stringify(data)
        // console.log(detail);
        wx.redirectTo({
          url: '/pages/order/invoicingRecord/index?detail=' + detail,
        })
      }
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})